'use strict';

define(['app'], function(app) {
	app.controller('DescCtrl', ['$http', '$scope', '$routeParams',
        function($http, $scope, $routeParams) {
        $scope.descStore = [];

            $http({
                method: 'GET', 
                url: globals.RootPath + '/stores.json?id=' + $routeParams.storeID
            })

            .success(function(res, status){               
                if (status !== 200) return false;

                $scope.descStore = res.data[0];
            })

            .error(function(res, status){
                console.log('error status: ' + status);
                console.debug(res);
            });
	}]);
});